Subject: Re: bug#16265: 24.3.50; re-search-forward (error "Invalid search bound (wrong side of point)")

From: Eli Zaretskii <[email-masked]>
Date: Wed, 01 Jan 2014 19:50:12 +0200

> Date: Tue, 31 Dec 2013 09:37:15 -0800
> From: Keith David Bershatsky <[email-masked]>
> Cc: [email-masked]
> 
> So my recommendation would be that the Emacs team return the default value of `cache-long-scans` to `nil`

Unlikely to happen.

> or, fix it somehow so that it doesn't interfere with popular functions like `re-search-forward` and `re-search-backward` after calling `org-capture`.

I think I fixed this in trunk revision 115826, please try the latest
version of the code.  (I only verified that the simplified test case
works after the fix.)

Thanks.